package com.jy.business.capital.model.table;

import com.jy.business.capital.model.entity.CapitalAccount;
import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;

public class CapitalAccountTable extends Table<CapitalAccount> {

    public static CapitalAccountTable capital_account = new CapitalAccountTable();
    public static CapitalAccountTable ca = capital_account.as("ca");

    /**
     * 资金账户id
     */
    public QueryColumn id = this.field(CapitalAccount::getId);

    /**
     * 公司id
     */
    public QueryColumn corporationId = this.field(CapitalAccount::getCorporationId);

    /**
     * 账户别名
     */
    public QueryColumn accountAlias = this.field(CapitalAccount::getAccountAlias);

    /**
     * 开户银行
     */
    public QueryColumn depositBank = this.field(CapitalAccount::getDepositBank);

    /**
     * 账户名
     */
    public QueryColumn accountName = this.field(CapitalAccount::getAccountName);

    /**
     * 账号
     */
    public QueryColumn account = this.field(CapitalAccount::getAccount);

    /**
     * 联行号
     */
    public QueryColumn correspondentNumber = this.field(CapitalAccount::getCorrespondentNumber);

    /**
     * 账户余额
     */
    public QueryColumn amount = this.field(CapitalAccount::getAmount);

    /**
     * 备注
     */
    public QueryColumn remark = this.field(CapitalAccount::getRemark);

    /**
     * 创建人
     */
    public QueryColumn createUser = this.field(CapitalAccount::getCreateUser);

    /**
     * 创建时间
     */
    public QueryColumn createTime = this.field(CapitalAccount::getCreateTime);

    /**
     * 更新人
     */
    public QueryColumn updateUser = this.field(CapitalAccount::getUpdateUser);

    /**
     * 更新时间
     */
    public QueryColumn updateTime = this.field(CapitalAccount::getUpdateTime);

    /**
     * 逻辑删除标记
     */
    public QueryColumn delFlag = this.field(CapitalAccount::getDelFlag);

    private CapitalAccountTable() {
        super(CapitalAccount.class);
    }

    private CapitalAccountTable(String alias) {
        super(CapitalAccount.class, alias);
    }

    public CapitalAccountTable as(String alias) {
        return new CapitalAccountTable(alias);
    }

}
